# should be consistent across one release
%global build_date 20130405

Name:                sat4j
Version:             2.3.5
Release:             1
Summary:             A library of SAT solvers written in Java
License:             EPL or LGPLv2
URL:                 http://www.sat4j.org/
#wegt https://gitlab.ow2.org/sat4j/sat4j/-/archive/2_3_5/sat4j-2_3_5.tar.gz
#tar zxvf sat4j-2_3_5.tar.gz
#find ./sat4j-2_3_5 -name *.jar -delete
#mv sat4j-2_3_5 sat4j-%{version}
#tar zcvf sat4j-%{version}.tar.gz sat4j-%{version}
Source0:             sat4j-%{version}.tar.gz
Patch0:              sat4j-classpath.patch

BuildRequires:       ant javapackages-local

BuildArch:           noarch

%description
The aim of the SAT4J library is to provide an efficient library of SAT
solvers in Java. The SAT4J library targets first users of SAT "black
boxes", those willing to embed SAT technologies into their application
without worrying about the details.

%prep
%setup -q -n sat4j-%{version}
%patch0

%build
ant -Dbuild.compiler=modern -Drelease=%{version} \
 -Dtarget=1.5 -DBUILD_DATE=%{build_date} p2

%mvn_artifact "org.ow2.sat4j:org.ow2.sat4j.core::%{version}" dist/%{version}/org.sat4j.core.jar
%mvn_artifact "org.ow2.sat4j:org.ow2.sat4j.pb::%{version}" dist/%{version}/org.sat4j.pb.jar
%mvn_file ":org.ow2.sat4j.core" org.sat4j.core
%mvn_file ":org.ow2.sat4j.pb" org.sat4j.pb

%install
%mvn_install

%files -f .mfiles
# No %%doc files as the about.html is in the jar

%changelog
* Wed Aug 26 2020 wangxiao <wangxiao65@huawei.com> - 2.3.5-1
- package init
